API Reference
Package Sizes
Configurable shipment package sizes.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/package-sizes API KeyGet package-sizes
Query parameters
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/package-sizes" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/package-sizes API KeyCreate package-sizes
Request body
application/json
{
"name": "string",
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"weightKg": 0,
"isDefault": false
}| name string | — |
| lengthCm number (double) | — |
| widthCm number (double) | — |
| heightCm number (double) | — |
| weightKg number (double) | — |
| isDefault boolean | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/package-sizes" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"weightKg": 0,
"isDefault": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/package-sizes/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/package-sizes/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/package-sizes/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"weightKg": 0,
"isDefault": false
}| name string | — |
| lengthCm number (double) | — |
| widthCm number (double) | — |
| heightCm number (double) | — |
| weightKg number (double) | — |
| isDefault boolean | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/package-sizes/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"lengthCm": 0,
"widthCm": 0,
"heightCm": 0,
"weightKg": 0,
"isDefault": false
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/package-sizes/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/package-sizes/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu